Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-mime-construct: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Tue, 17 Nov 2015 14:57:05 +0200

---
 testing/perl-mime-construct/APKBUILD | 39 ++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/perl-mime-construct/APKBUILD
diff --git a/testing/perl-mime-construct/APKBUILD b/testing/perl-mime-construct/APKBUILD
new file mode 100644
index 0000000..a9896c2
--- /dev/null
+++ b/testing/perl-mime-construct/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-mime-construct
+_pkgreal=mime-construct
+pkgver=1.11
+pkgrel=0
+pkgdesc="Construct and optionally mail MIME messages"
+url="http://search.cpan.org/~rosch/mime-construct/mime-construct"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-proc-waitstat"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RO/ROSCH/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+        cd "$_builddir"
+        export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+        PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+        cd "$_builddir"
+        export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+        make && make test
+}
+
+package() {
+        cd "$_builddir"
+        make DESTDIR="$pkgdir" install || return 1
+        find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+md5sums="73834ea780fbea81b89dbd9b2fb54f58  mime-construct-1.11.tar.gz"
+sha256sums="4cd7bb61b51d41192d1498c1051aa6a4ccd75aeb09b71d2ec706a7084a4a9303  mime-construct-1.11.tar.gz"
+sha512sums="1192c5a0cd1c7675aaf4d1570c910672d3c3b6585f33e4781de289e8e1d9530c17b6d48083ad68349b46faa8e03be1dfeef16701b12763adc36bfa4f3b399a5f  mime-construct-1.11.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Nov 17 2015 - 14:57:05 GMT